<#--
 # The contents of this file are subject to the terms of the Common Development and
 # Distribution License (the License). You may not use this file except in compliance with the
 # License.
 #
 # You can obtain a copy of the License at legal/CDDLv1.0.txt. See the License for the
 # specific language governing permission and limitations under the License.
 #
 # When distributing Covered Software, include this CDDL Header Notice in each file and include
 # the License file at legal/CDDLv1.0.txt. If applicable, add the following below the CDDL
 # Header, with the fields enclosed by brackets [] replaced by your own identifying
 # information: "Portions Copyright [year] [name of copyright owner]".
 #
 # Copyright 2017 ForgeRock AS.
 #-->
<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8">
    <meta name="date" content="${now?datetime}">
    <link rel="stylesheet" href="style.css">
    <title>${title}</title>
  </head>

  <body>
    <div id="container">
    <h2 class="title">dsconfig ${name}</h2>

    <p>${description?ensure_ends_with(".")}</p>

    <#if options??>
    <div class="section">
      <h3 class="title">Options</h3>

      <#if objectReference??><p>${objectReference}</p></#if>

      <dl>
      <#list options as option>
        <dt><code>${option.synopsis?xml}</code></dt>
        <dd>
          <p>${option.description?ensure_ends_with(".")}</p>
          <#if option.default??><p>${option.default}</p></#if>
        </dd>
      </#list>
      </dl>
    </div>
    </#if>
    </div>
    <footer><p>Copyright 2011-${now?string["yyyy"]} ForgeRock AS.</p></footer>
  </body>
</html>
